Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class RepeatTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.RepeatTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class RepeatTypeEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the RepeatPattern repeat types. The enumeration class that contains `RepeatType` elements.

See Also:
  Serialized Form

Field Summary
`static RepeatType` | `CUSTOM` The custom repeat type.
`static RepeatType` | `DAILY` The daily repeat type.
`static RepeatType` | `MONTHLY_BY_DATE` The monthly by date repeat type.
`static RepeatType` | `MONTHLY_BY_DAY` The monthly by day repeat type.
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_CUSTOM`
`static int` | `VALUE_DAILY`
`static int` | `VALUE_MONTHLY_BY_DATE`
`static int` | `VALUE_MONTHLY_BY_DAY`
`static int` | `VALUE_WEEKLY`
`static int` | `VALUE_YEARLY`
`static RepeatType` | `WEEKLY` The weekly repeat type.
`static RepeatType` | `YEARLY` The yearly repeat type.

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RepeatTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RepeatTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DAILY

    public static final int VALUE_DAILY

### VALUE_WEEKLY

    public static final int VALUE_WEEKLY

### VALUE_MONTHLY_BY_DATE

    public static final int VALUE_MONTHLY_BY_DATE

### VALUE_MONTHLY_BY_DAY

    public static final int VALUE_MONTHLY_BY_DAY

### VALUE_YEARLY

    public static final int VALUE_YEARLY

### VALUE_CUSTOM

    public static final int VALUE_CUSTOM

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### DAILY

    public static final RepeatType DAILY

  The daily repeat type.

### WEEKLY

    public static final RepeatType WEEKLY

  The weekly repeat type.

### MONTHLY_BY_DATE

    public static final RepeatType MONTHLY_BY_DATE

  The monthly by date repeat type.

### MONTHLY_BY_DAY

    public static final RepeatType MONTHLY_BY_DAY

  The monthly by day repeat type.

### YEARLY

    public static final RepeatType YEARLY

  The yearly repeat type.

### CUSTOM

    public static final RepeatType CUSTOM

  The custom repeat type.

Constructor Detail

### RepeatTypeEnum

    protected RepeatTypeEnum(java.lang.Class elementClass,
                             int iNumElements,
                             com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                             EnumElement defaultElement,
                             java.lang.String sInternalName,
                             boolean bMaskable)

  Constructor.

### RepeatTypeEnum

    protected RepeatTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.